Subject: RE: [netatalk-admins] Using netatalk in a large, mission-critica

From: Peter Gutowski <[email-masked]>
Date: 24 Sep 98 11:55:47 -0500

Sean A. Snyder wrote:
> Greetings!
> 
> I'm writing to find out if anyone on this list is using netatalk in a
large
> environment (larger than 300 users per server) that is 24x7, or nearly
24x7?
> 
> I'm in a situation where with a product similar to Netatalk where I
find
> myself limited to 127 appletalk connections to my file server. 
Apparently,
> this limitation is based upon the 8-bit socket identification number in
older
> versions of the Appletalk stack.  According to section 4-5 of Apple's
"Inside
> Appletalk" book (copywrite 1990), sockets 1-127 are reserved for
> statically-assigned sockets (SAS's), leaving sockets 128-254 for use by
our
> AppleShare clients, hence we get errors when we try to make that 128th
> connection to the server.
> 
> Does anyone know if Netatalk is also subject to this 8-bit
> socket-identification number issue, or has a workaround been found or
been
> created in newer versions of Appletalk?  Will using the asun IP patches
get me
> around this limitation if it exists (i.e. unlimited number of IP
connections)?

Sockets are a node-level construct. As an AppleTalk device speaks to
similar
device it's address is made up of a 16-bit NET number, 8 bit-node number
and 
and 8-bit Socket number. The reference you make is to a socket number
whereas
your interest seems to be in node numbers Which i believe is an 8-bit
unsigned
value yielding 254 possible entries (node=0 and node=255 having special
meaning.

With >254 nodes sounds like partitioning your network is in order.

---

From: "Douglas M. MacFarlane" <[email-masked]>
Date: Thu, 24 Sep 1998 11:15:08 -0500 (CDT)

Do you have an extended cable-rnage configured on your network?
i.e., did you allocate just 1 appletalk network (cable-range 45-45,
for example), or did you allocate and extended range (cable-range
46-55) which will allow hosts to connect via the high nodenumbers
theat they want, and just use the "next" network in the range for
that LAN.

Doug

> With >254 nodes sounds like partitioning your network is in order.

Douglas M. MacFarlane
Principal, Vauban Industries
[email-masked]

---

From: Casey Bisson <[email-masked]>
Date: Thu, 24 Sep 1998 12:19:40 -0400

I believe that the user limit is based entirely on the appletalk protocol, and is
lifted when clients access the server via ApplShare over TCP/IP.

I use Netatalk on a FreeBSD 2.2.6 Dell 166MHz box, and have found reliability and
scalability to be very good. Odd problems related to non-static director IDs and
occaisional difficulties with CR<->LF translation are my only difficulties.

Casey Bisson
Information Technology
Plymouth State College

Peter Gutowski wrote:

> Sean A. Snyder wrote:
> > Greetings!
> >
> > I'm writing to find out if anyone on this list is using netatalk in a large
> > environment (larger than 300 users per server) that is 24x7, or nearly 24x7?
> >
> > I'm in a situation where with a product similar to Netatalk where I find
> > myself limited to 127 appletalk connections to my file server. Apparently,
> > this limitation is based upon the 8-bit socket identification number in older
> > versions of the Appletalk stack. According to section 4-5 of Apple's "Inside
> > statically-assigned sockets (SAS's), leaving sockets 128-254 for use by our
> > socket-identification number issue, or has a workaround been found or been
> > created in newer versions of Appletalk? Will using the asun IP patches get me
> > around this limitation if it exists (i.e. unlimited number of IP connections)?
>
> >
>
> Sockets are a node-level construct. As an AppleTalk device speaks to similar
> device it's address is made up of a 16-bit NET number, 8 bit-node number and
> and 8-bit Socket number. The reference you make is to a socket number whereas
> your interest seems to be in node numbers Which i believe is an 8-bit unsigned
> value yielding 254 possible entries (node=0 and node=255 having special meaning.
>

---

From: "Sean A. Snyder" <[email-masked]>
Date: Thu, 24 Sep 1998 14:20:21 -0400

> theat they want, and just use the "next" network in the range for

Yes, we do have our network segmented into different cable ranges, and we do
have extended cable ranges defined.  The problem that I'm running into is not
a too-many-nodes-on-network type of problem, but more of a
too-many-nodes-trying-to-connect-to-the-same-server problem.  Our 500+ Macs
hum along just fine and coexist nicely on our network.  

As I expressed in my original message, the problem appears to be with socket
addressing on a single node (and that node happens to be our file server).  I
guess my question is this: Is Netatalk dependent upon the 8-bit _socket_
addressing scheme that was inherent in the Appletalk protocol circa 1990, or
is there a fix (for this Appletalk limitation) or a workaround (in Netatalk)
to workaround this?

Thanks!

Sean

-- 
Sean Snyder ([email-masked])| 
Systems and Network Engineer   |   Every new beginning comes from some
Campbell-Ewald Advertising and |         other beginning's end....
C-E Communications             |		
#include <std_disclaimer.h>    |